How to Build an Automated System to Detect 4.7.0 Throttling in ESP Handshakes
Build an automated system to detect 4.7.0 throttling during ESP handshakes with real-time verification, inbox placement testing, and email list.
Why 4.7.0 Throttling in ESP Handshakes Matters for Deliverability
You’re mid-campaign, sending at scale, and suddenly your delivery rate dips. No hard bounces. No syntax errors. Just silence from the ESP. You didn’t notice a single 550 error—but your sends are stalling. This is often not a problem with your list. It’s 4.7.0 throttling. And if you’re not watching for it, your deliverability is quietly eroding.
SMTP 4.7.0 responses aren’t about invalid addresses. They’re a signal: “You’re sending too fast.” If you treat them like errors and retry blindly, you waste sending capacity, hurt your sender reputation, and risk triggering actual blocks. An automated system to detect 4.7.0 throttling isn’t a luxury. It’s essential for maintaining high inbox placement during high-volume campaigns.
Key takeaways
- SMTP 4.7.0 responses indicate temporary rate limits, not invalid addresses, and require different handling than hard bounces.
- Automated detection prevents unnecessary retries that degrade sender reputation and consume sending credits during peak volume.
- Ignoring 4.7.0 throttling can lead to IP and domain blocks, especially when high-volume sending exceeds ESP thresholds without adjustment.
What Is 4.7.0 Throttling in ESP Handshakes, and How Does It Work?
The 4.7.0 SMTP error means the recipient server temporarily blocked your connection during the handshake phase—usually because your sending IP or domain hit rate limits. It’s not a failure of the email address, but a defensive measure by providers like Gmail or Outlook to manage inbound volume and prevent abuse. You’ll see this when sending at scale, especially in marketing automation or outreach workflows.
How 4.7.0 Throttling Happens During SMTP Handshakes
During the SMTP handshake, your server connects, identifies itself, and begins negotiation before sending message content. If the recipient's ESP detects suspicious behavior—like rapid connections from the same IP—it may respond with 4.7.0, effectively throttling your access. This is common in high-volume systems that send thousands of emails per minute without proper pacing.
Let’s say you’re sending to 10,000 addresses in under five minutes. Even if all are valid, the domain’s sending behavior looks like spam to Gmail’s filtering engine. Google’s systems, based on industry-standard practices like those outlined in RFC 5321, may temporarily reject new connections to protect their infrastructure. This isn’t a permanent block—it’s a signal to back off and retry later.
Why It Matters, and Who’s Affected
You’re not breaking a rule by getting a 4.7.0—just sending too fast or too aggressively. The error often affects platforms that send at scale without proper rate shaping, like cold outreach campaigns or automated nurture flows. Even a single valid email address can trigger 4.7.0 if the sending behavior exceeds the recipient’s threshold.
According to Spamhaus, shared sending environments where multiple users operate from the same IP range are more prone to throttling. This means your clean list can still be blocked if other users on the same infrastructure behave aggressively. You can’t assume a valid email address means delivery will succeed. Your sending behavior—how you connect and pace your messages—matters just as much as the recipient’s address.
Think of 4.7.0 as a “rate limit reached” flag during a handshake. It’s a defensive mechanism, not a permanent rejection. The fix isn’t always in your inbox—it’s in your sending system. That’s why you need to detect and respond to these codes automatically. A system that only verifies addresses but doesn’t monitor SMTP response codes misses the critical layer of deliverability control.
How to Automate Detection of 4.7.0 Throttling in Real-Time SMTP Sessions
Use a real-time verification API to capture SMTP handshake responses and record every connection attempt. When the server returns a 4.7.0 code—indicating rate limiting—log the sender IP, recipient domain, timestamp, and connection duration. Flag any 4.7.0 event immediately, triggering an automated delay or pause to prevent further throttling. This real-time detection prevents sender reputation damage and maintains consistent deliverability.
Set Up Real-Time SMTP Session Instrumentation
- Integrate a real-time verification API that captures full SMTP transaction logs, including the initial handshake and server response codes. This API should return structured data so 4.7.0 codes are explicitly visible and machine-readable. Tools like the Email List Validation API provide this level of visibility.
- Instrument your SMTP client to log every connection attempt, not just delivery outcomes. Include the full SMTP transcript: HELO/EHLO, MAIL FROM, RCPT TO, and the server's final response. This ensures no 4.7.0 code is missed during handshake phase.
- Record correlation metadata for each session: timestamp (UTC), recipient domain, sender IP, connection duration in seconds, and whether the response was a 4.7.0. Store this in a timestamped log or database for analysis.
- Flag 4.7.0 responses as throttling events. Treat any 4.7.0 code as a signal that the recipient’s ESP (like Microsoft 365 or Gmail) has rate-limited your IP. This means immediate throttling is active—sending more emails rapidly will worsen the block.
- Automate the response. Upon detecting 4.7.0, delay subsequent sends by a randomized interval (e.g., 10–30 seconds), or pause all sends to that domain for a set period. Use exponential backoff if multiple 4.7.0 responses occur in quick succession.
Validate and Optimize Your Detection System
Verify your setup by simulating high-volume tests in a staging environment. Monitor logs to ensure all 4.7.0 responses are captured and delayed correctly. Use real-world data from SMTP sessions over time to refine your delay logic—some domains throttle aggressively after 5–10 connects in a minute; your system should respond accordingly.
The 4.7.0 code is defined in RFC 5550 as a delivery status code indicating the message was rejected due to policy enforcement—commonly rate limiting—by the receiving server. While not a permanent bounce, continuous 4.7.0 responses can signal poor sender reputation or misaligned sending patterns. RFC 5550 documents this status as the standard way such throttling is communicated.
Automated detection isn’t just reactive—it’s preventive. By catching 4.7.0 early and adjusting volume dynamically, you avoid hitting sender reputation thresholds and maintain strong inbox placement. This is especially critical when sending across multiple domains or from shared IPs.
How Email List Validation Can Help Identify & Prevent 4.7.0 Throttling
You can detect 4.7.0 throttling during ESP handshakes by using Email List Validation's real-time API to simulate SMTP sessions and capture response codes. When a 4.7.0 error is returned, the tool flags it as indicative of rate-limiting, not invalidity. This allows you to identify domains with aggressive throttling behavior before sending campaigns, reducing bounces and protecting sender reputation. With 98.9% accuracy, it helps you distinguish real throttling from false positives during list cleansing.
Real-Time Simulation of SMTP Handshakes
Let’s say you’re sending at scale and encounter inconsistent delivery results. The root cause might be a 4.7.0 response from an ESP — not a hard bounce, but a soft error indicating temporary rate limits. Email List Validation’s real-time verification API runs live SMTP handshakes in the background, mirroring how your mail server connects to the destination. It captures the exact response codes, including 4.7.0, before messages even leave your system.
This is different from passive monitoring. Instead of waiting for a delivery failure, you catch throttling behavior in real time — and get actionable data instantly. If a domain returns 4.7.0 consistently during verification, the API returns a throttling-indicated verdict, alerting you to proceed with caution.
Proactive List Cleaning & Risk Mitigation
With bulk verification, you can scan entire lists and surface domains known to trigger rate limits. You’re not just cleaning invalid addresses — you’re identifying high-risk domains that may throttle your send volume. For example, a domain might accept messages initially but throttle after 100–200 deliveries per hour. Email List Validation catches this behavior during verification and marks it as risky.
By filtering out or segmenting these high-risk domains, you reduce the chance of being flagged as abusive by ESPs. This is especially valuable when sending to large segments of users on platforms like Gmail or Outlook, which commonly use 4.7.0 to manage volume-based spam prevention. The 98.9% accuracy ensures false positives are rare, so you don’t waste time quarantining valid users.
Learn more about how this works under the hood: verify email addresses with live SMTP testing. Once validated, your list stays clean, and your sender reputation stays strong.
For deeper insights, compare deliverability across domains using inbox placement testing, which includes SMTP handshake analysis. You can also integrate this directly with your ESPs via our existing integrations, making validation part of your automated workflow.
Standard SMTP response codes like 4.7.0 are defined in RFC 5321, which governs mail transfer protocols. Understanding these codes is key to diagnosing delivery issues early — not just during troubleshooting, but before they happen.
How to Use the Inbox-Placement Test to Simulate 4.7.0 Scenarios
Run inbox-placement tests through Email List Validation to simulate real ESP conditions and catch 4.7.0 throttling early. Send high-velocity bursts to Gmail and Yahoo, then examine session logs for 4.7.0 responses during SMTP phases. Adjust your sending speed or IP strategy based on the results to stay under throttling thresholds.
Set up a realistic test environment
- Use the inbox-placement test feature in Email List Validation to simulate outbound mail flow to major inbox providers like Gmail and Yahoo.
- Choose domains known for aggressive rate limiting—particularly Gmail and Yahoo—to stress-test your sending behavior.
- Send at a velocity that mimics campaign spikes, not typical daily pacing, to trigger the same throttle mechanisms used in real scenarios.
Inspect SMTP session logs for 4.7.0 signs
- After each test, review the full SMTP session log. Look for 4.7.0 responses during the initial
CONNECTphase,MAIL FROM, orRCPT TOsteps. - These responses signal that the ESP is actively throttling your connection—often due to perceived spammy behavior or IP reputation risks.
- Check whether 4.7.0 appears in bursts or under consistent load. A single occurrence may be a fluke; repeated 4.7.0 codes over time indicate an actual threshold breach.
- Use the test logs to map how close your sending behavior comes to throttling thresholds, especially when rotating IPs or managing sender reputation.
ESP behavior varies even within the same domain. For example, Gmail uses different handling patterns based on IP reputation, authentication quality, and historical engagement. Understanding these signals requires real-world simulation, not just passive monitoring.
4.7.0 is not a permanent block—it’s a rate-limiting signal meant to prevent spamming during high-velocity sessions.
Use the results to shape your send schedule: if 4.7.0 appears, reduce connections per minute or distribute the load across multiple IP addresses. This is not theoretical. According to RFC 5321, 4.7.0 is defined as a temporary failure during message submission, meaning it should not trigger hard bounce logic.
By proactively testing your infrastructure with real ESP conditions, you avoid surprises during production campaigns. The Inbox Placement test gives you control over the variables that matter: timing, volume, and behavior—before they impact deliverability.
Common Causes of 4.7.0 Throttling Beyond Sender Volume
4.7.0 throttling often isn’t about how much you send—it’s about how you send it. Sudden spikes from new IPs, sending to high-risk domains without reputation history, using shared or residential IPs without tracking, or ignoring retry delays after a 4.7.0 response can all trigger throttling, even at low volumes. You aren’t just sending; you’re signaling. Let’s break down what’s really behind the delay.
IP and Sender Reputation Factors
- You're sending from a new or under-warmed IP without a warm-up history. ESPs treat this like a red flag—especially if volume jumps abruptly. A sudden 10,000-send day from a 24-hour-old IP will likely trigger throttling, even with clean content.
- You're sending directly to domains known for high spam complaints or low engagement—like certain free email providers—not because they’re unsafe, but because they represent high risk. Without prior engagement signals or sender reputation, even valid messages get throttled.
- You're using shared or residential IPs without reputation tracking. These IPs often carry baggage from past misuse and can’t be trusted to maintain stable sending behavior. If your sender profile isn’t tied to a clean, consistent IP reputation, 4.7.0 responses become routine.
Retry and Delivery Behavior
- You’re not respecting retry delays after a 4.7.0 response. Ignoring the ESP’s signal and retrying immediately resets the threshold. The SMTP handshake already told you: “slow down.” Pushing again only reinforces the sender as aggressive.
- You’re not validating your list for high-risk or non-existent addresses. Sending to invalid or disposable domains floods the system with failures, which harms sender reputation and increases throttling risk—even if you’re below volume limits.
- You're not monitoring or filtering role accounts (e.g. info@, support@). These are high-risk, low-engagement domains. Sending to them at scale triggers anti-abuse filters, even if your content is clean.
Even a single 4.7.0 response from an ESP shouldn’t be ignored. It’s not a bounce—it’s a warning of sending behavior that conflicts with their thresholds.
Let’s be clear: volume is a factor, but it’s not the only one. Clean your list before sending—using real-time validation—so you’re not hitting ESPs with dead, risky, or disposable addresses. Use an automated system that checks domain risk and validates sender signals before any message goes out.
For deeper insights into how deliverability fails, see the SMTP specification (RFC 2821)—particularly the handling of transient failures and retry policies. And for testing inbox placement, use inbox placement testing to see how your messages land across real user inboxes.
How to Integrate 4.7.0 Monitoring with SendGrid, Mailchimp, and Klaviyo
You can detect 4.7.0 throttling early by validating email addresses before sending through ESPs like SendGrid, Mailchimp, or Klaviyo. Use real-time verification to filter out risky or invalid addresses—especially those that previously triggered a 4.7.0 response. Then, tie delivery events from ESP webhooks or platform analytics to pre-send verification status to catch thresholds before they impact deliverability.
Build Your Pre-Send Validation Layer
- Check addresses before sending via Email List Validation’s real-time API. Send each email through the API before routing it to SendGrid, Mailchimp, or Klaviyo. This catches invalid, malformed, or catch-all domains early. 98.9% accuracy helps you act on data, not assumptions.
- Tag and exclude any address that returned "4.7.0" during validation. Addresses that previously triggered a 4.7.0 response indicate policy-level delivery issues—often related to sender reputation or sending volume. Proactively filtering them prevents future throttling, especially when used in bulk sends.
- Integrate with SendGrid via webhooks to capture delivery status. Set up inbound webhooks to receive delivery events. Match these events with verification outcomes from Email List Validation. If a 4.7.0 response is returned post-send, correlate it with pre-send validation results to determine if the recipient was already flagged.
Sync with Mailchimp and Klaviyo for Post-Send Monitoring
- Track delivery rate changes in Mailchimp and Klaviyo using verified list data. Compare delivery success and bounce rates against the pre-send verification status. A surge in 4.7.0 responses or high bounce rates on previously validated lists can signal ESP-level throttling or policy updates.
- Reconcile verification status with platform reports to catch threshold triggers. Use data from Email List Validation to flag addresses that had questionable deliverability risk—like role accounts or disposable domains (common sources of 4.7.0 issues). Review these in Mailchimp or Klaviyo’s delivery analytics to spot trends before they escalate.
- Use HubSpot's email stats to correlate sends with validation outcomes. If you use HubSpot, sync your verification status to your contact records. Monitor sudden drops in delivery rates on contacts that were marked as "risky" or "catch-all" before send. This lets you spot throttling before it impacts your list health.
Monitoring 4.7.0 doesn't end at the ESP handshake—it requires proactive filtering and post-send correlation. By grounding your checks in real-time verification and aligning event data across platforms, you reduce reactive throttling by catching risky addresses before they trigger policy responses. For teams with high-volume sends, this layer of validation isn’t optional: it’s how you maintain inbox placement. Learn more about validating email lists at https://emaillistvalidation.com/real-time-email-verification-api. Standardized email hygiene practices are backed by industry tools like RFC 5321 which defines SMTP response codes like 4.7.0.
Real-World Example: Preventing 4.7.0 Throttling in a Cold Outreach Campaign
When a cold outreach team sent 10,000 emails to Gmail domains using one IP, they hit Gmail’s 4.7.0 throttling response after just 1,500 sends—triggering a 24-hour block. By pre-screening their list with Email List Validation, they identified and removed 32% of Gmail addresses with known throttling patterns, then split sends across two IPs with a gradual ramp-up. The result: no 4.7.0 responses after the first 500 sends, and consistent delivery.
Let’s break down what happened. The team was using a single IP to send high-volume cold outreach. After 1,500 messages, Gmail responded with a 4.7.0 error—“temporarily rejected due to rate limiting”—then blocked all further sends from that IP for 24 hours. That’s how aggressive Gmail’s throttling can be: it doesn’t wait for spam; it responds to volume spikes. The same 4.7.0 error appears in RFC 6521, which defines SMTP response codes for policy-based rejections, including rate limits.
Pre-screening with List Intelligence
Before the next campaign, they ran their list through Email List Validation’s bulk verification service. The tool flagged Gmail addresses with prior 4.7.0 patterns—likely from earlier sends, shared IPs, or known spam reputation clusters. Over 32% of the list wasn’t a technical error; it was a patterned red flag. Removing those addresses eliminated the risk of triggering the same throttling response within hours.
They also learned that Gmail’s throttling threshold can vary, but typically kicks in around 1,500–2,000 messages from the same IP in a short window. That’s not about content—it’s about sending behavior. Sending 10,000 emails with a single IP, even with clean content, is a red flag to any major ESP.
Deploying Send Strategy with IP Distribution
After cleaning the list, they split deliveries across two IPs. Instead of sending 1,500 messages in one hour, they ramped up slowly—starting at 500 messages per IP over 24 hours, then increasing gradually. This avoided crossing the throttle threshold. Monitoring SMTP logs showed steady delivery without any 4.7.0 errors.
Tools like Email List Validation don’t just check syntax—they use historical delivery feedback and pattern analysis to flag addresses likely to cause throttling. You can run bulk lists through bulk email list cleaning before sending, or use the real-time verification API during onboarding. The key is not just knowing if an address exists—but whether it’s likely to block, throttle, or get lost.
What to Do When 4.7.0 Is Detected During a Send
If your ESP receives a 4.7.0 rejection during handshake, stop sending to that domain or IP immediately. Wait 10–30 minutes before retrying, as the server has imposed a rate limit. Reduce sending velocity for any account showing repeated 4.7.0 signals. Update your sender profile to include feedback loop data and ensure DMARC alignment if possible. This reduces future throttling and protects sender reputation. You’re not just reacting—you’re adjusting your behavior to match the server’s expectations.
Immediate Response Steps
- Pause all outbound mail to the affected domain or IP block within seconds of receiving the 4.7.0 response.
- Wait 10–30 minutes before retrying—respecting the throttling window prevents further blocks.
- Log the event: note the timestamp, domain, IP, and retry attempts. This data supports long-term pattern analysis.
- Check your sending volume against the domain’s accepted limits—exceeding thresholds commonly triggers 4.7.0.
Longer-Term Adjustments
- Reduce send velocity for accounts or campaigns that trigger 4.7.0 more than once per week. Consistent throttling is a red flag.
- Verify your sender profile is complete: include feedback loop data feed and ensure DMARC is properly aligned. This improves trust with receiving servers.
- Use tools like real-time email verification to pre-filter invalid or problematic addresses before they enter your send queue.
- Monitor your IP and domain reputation via services like Spamhaus or MxToolbox for signs of reputation decay from repeated throttling.
Throttling is not a failure—it’s a signal. It tells you your sending rate exceeds what the recipient server tolerates at that moment. Acting on it isn’t punishment; it’s adaptation.
When combined with sender reputation health checks, detecting 4.7.0 early lets you maintain inbox placement and avoid long-term sender reputation damage. The goal isn’t to ignore throttling—but to respond thoughtfully. Your system should treat 4.7.0 not as an endpoint, but as an input for dynamic rate control. And yes, that includes pre-screening your list: use bulk email verification to remove high-risk addresses before they trigger rejection signals. You’ll catch invalid or disposable domains long before they affect your delivery.
Can You Accurately Measure and Prevent 4.7.0 Throttling Without Real-Time API Tools?
You cannot reliably detect 4.7.0 throttling without real-time API tools. Manual log reviews miss it entirely—4.7.0 is often treated as a transient delay, not a bounce. Basic tools like telnet or MxToolbox show basic connectivity but don’t simulate real-time, production-like handshakes at scale. Only systems with live API-based verification can replicate actual sending conditions and catch throttling signals as they happen. Email List Validation’s real-time API validates emails in production context, capturing SMTP response codes—including 4.7.0—with 98.9% accuracy.
Why Manual Checks Fail for 4.7.0 Detection
Let’s be clear: if you’re relying on post-send bounce logs, you’re already behind. Many ESPs deliver 4.7.0 codes not as bounces, but as soft delivery messages. The response comes in the handshake layer, not in the final bounce report. A delivery delay logged as “delayed delivery” or “deferred” often hides a 4.7.0 throttle. Without inspecting the SMTP handshake in real time, you can’t tell if a message was throttled or simply delayed. This is why manual inspection is not just slow—it’s misleading.
Why Static Tools Don’t Scale
Tools like telnet or MxToolbox are useful for network troubleshooting, but they’re not designed for automated detection at scale. They show you if an email domain accepts mail, but not how it responds under load. They can’t simulate a real API call or track throttling during a real-time send. They lack the persistence, throughput, and code analysis needed to flag 4.7.0 during a live sending attempt. This gap means you’re validating domains, not delivery behavior.
Only tools that send real-time handshake simulations can catch 4.7.0 as it happens. Email List Validation’s API does this by establishing a live SMTP connection and reading the response exactly as a real ESP would. It captures 4.7.0 not as a failure, but as a signal—“this sender is being throttled.” This is how you detect issues before they tank your sender reputation.
For teams sending at scale, waiting for bounce logs or testing in isolation means you’re reacting, not preventing. Real-time API validation is not a luxury—it’s the only way to replicate sending conditions and measure throttling early. You can test your full list in production-like conditions with real-time verification API access, including code-level analysis of SMTP responses.
For deeper insight, understanding how ESPs manage delivery rate limits is helpful. The IETF’s RFC 5616 (https://www.rfc-editor.org/rfc/rfc5616) describes how servers use 4xx codes to regulate volume. While it doesn’t name 4.7.0 specifically, it lays the foundation for why 4.7.0 is a throttling signal, not a bounce. This is why detection depends not on post-send analytics, but on real-time response capture.
Conclusion: Automate 4.7.0 Detection to Sustain High Deliverability
SMTP-level throttling at status code 4.7.0 is a subtle but serious threat. It doesn’t bounce messages, but it erodes sender reputation by signaling poor deliverability health.
Manual checks fail at scale. Automated detection via real-time verification APIs is the only way to catch 4.7.0 indicators before they impact your sending velocity and inbox placement.
Build your system around three pillars: pre-sending validation, ongoing inbox placement testing, and dynamic velocity controls. These guardrails prevent throttling events by proactively identifying risky emails.
Use Email List Validation to catch 4.7.0 indicators before sending, not after.
Keep reading
- Bounce management: hard bounces, soft bounces and bounce rate (complete guide)
- Real-Time Email Deliverability Monitoring for 550 5.6.0 Policy Violation Alerts
- Analyze HTML Email Bounce Payload to Identify Delivery Failures
- Email Validation API to Avoid 550 5.1.1 During Bulk Migration
- Real-Time Email Suppression System for 550 5.7.1 Rejection Logs
Ready to put this into practice? Email List Validation verifies emails with 98.9% accuracy — start with 100 free verifications.
Frequently asked questions
What does SMTP code 4.7.0 mean?
It means the sending server was temporarily rejected due to rate limiting. It is not a failure of the email address itself, but a signal that sending volume exceeded the recipient’s threshold.
Can 4.7.0 occur with valid email addresses?
Yes. A valid address can trigger 4.7.0 if the sender’s IP or domain is rate-limited by the recipient's ESP, even if the address is deliverable in normal conditions.
How do I know if my ESP is throttling my sends?
Monitor SMTP handshake responses during sending. A repeated 4.7.0 code during connection, MAIL FROM, or RCPT TO phases indicates throttling by the destination ESP.
Is there a way to avoid 4.7.0 without reducing send volume?
Yes. Distribute sends over multiple IPs, warm up domains gradually, maintain strong sender reputation, and pre-verify lists to avoid sending to high-risk domains.
How does Email List Validation detect 4.7.0 signals?
It simulates SMTP handshakes and captures the actual server responses, including 4.7.0 codes, during verification. This allows it to flag throttling indicators in advance.
Can I integrate Email List Validation with Mailchimp?
Yes. The platform integrates with Mailchimp, allowing you to verify lists before importing and reduce the risk of 4.7.0 throttling during campaigns.
What’s the difference between a 4.7.0 and a 5.7.0 error?
4.7.0 is temporary and related to rate limits. 5.7.0 is a permanent denial, often due to spammy behavior or policy violations. 4.7.0 requires delayed retry; 5.7.0 often requires sender review.
Do disposable email domains trigger 4.7.0 throttling?
Yes. Disposables often have aggressive throttling policies. Using Email List Validation to remove them reduces exposure to 4.7.0 during mass sends.
How many free verifications does Email List Validation offer?
You get 100 free verifications to start, and purchased credits never expire.
Can I test inbox placement without sending emails?
Yes. Email List Validation offers inbox-placement testing that simulates delivery to inboxes without actual sending, allowing you to observe 4.7.0 and other rejection behaviors.
Does real-time verification prevent all 4.7.0 issues?
It reduces exposure by identifying high-risk domains and accounts, but you still need to manage sending velocity and IP reputation to avoid throttling during live campaigns.
Is 4.7.0 common in Gmail or Outlook?
Yes. Both platforms use 4.7.0 during heavy volume conditions. Gmail especially enforces it on new or high-volume senders.